Bug 114764 - [GTK] Documentation for WEBKIT_DEBUG logging channels is out of date
Summary: [GTK] Documentation for WEBKIT_DEBUG logging channels is out of date
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Linux
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-17 13:56 PDT by Adam Dingle
Modified: 2013-05-16 11:22 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.00 KB, patch)
2013-05-14 14:32 PDT, Martin Robinson
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Dingle 2013-04-17 13:56:49 PDT
The WebKitGTK documentation contains a page "Environment" that lists possible values for the WEBKIT_DEBUG environment variable.  That list has an error: "Plugin" should be "Plugins".  Also, a glance at WebCore/platform/Logging.cpp shows that the list is out of date: some possible values are not listed including

- ResourceLoading
- LiveConnect
- FileAPI
- WebAudio
- Compositing
- Gamepad

Also, one value in the documentation ("TextConversion") is not in Logging.cpp.
Comment 1 Martin Robinson 2013-05-14 14:32:10 PDT
Created attachment 201759 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2013-05-16 10:36:45 PDT
Comment on attachment 201759 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=201759&action=review

> Source/WebKit/gtk/docs/webkitenvironment.xml:55
> +    <varlistentry><term>LiveConnect</term></varlistentry>

This one seems to be used only by the non-wk2 apple mac port (the channel is enabled for the win port but no code uses it). Maybe we should not list it, maybe it could even be removed tbh.
Comment 3 Martin Robinson 2013-05-16 11:22:51 PDT
Committed r150191: <http://trac.webkit.org/changeset/150191>